Gtk2::TreeModelSort(3)

NAME
Gtk2::TreeModelSort

HIERARCHY
  Glib::Object
  +----Gtk2::TreeModelSort

INTERFACES
  Gtk2::TreeModel
  Gtk2::TreeSortable
  Gtk2::TreeDragSource

METHODS

  treemodel = Gtk2::TreeModelSort->new ($child_model)

  treemodel = Gtk2::TreeModelSort->new (model => $child_model)

•   $child_model (Gtk2::TreeModel) The tree model to proxy.

Aliases for "new_with_model". Before Gtk2 1.120, "new" resolved to "Glib::Object::new", which would allow creation of an invalid object if the required property "model" was not supplied.

  treemodelsort = Gtk2::TreeModelSort->new_with_model ($child_model)

•   $child_model (Gtk2::TreeModel)

  $tree_model_sort->clear_cache

  treeiter = $tree_model_sort->convert_child_iter_to_iter ($child_iter)

•   $child_iter (Gtk2::TreeIter)

  treepath or undef = $tree_model_sort->convert_child_path_to_path ($child_path)

•   $child_path (Gtk2::TreePath)

  treeiter = $tree_model_sort->convert_iter_to_child_iter ($sorted_iter)

•   $sorted_iter (Gtk2::TreeIter)

  treepath or undef = $tree_model_sort->convert_path_to_child_path ($sorted_path)

•   $sorted_path (Gtk2::TreePath)

  boolean = $tree_model_sort->iter_is_valid ($iter)

•   $iter (Gtk2::TreeIter)

Since: gtk+ 2.2

  treemodel = $tree_model->get_model

  $tree_model_sort->reset_default_sort_func

PROPERTIES

'model' (Gtk2::TreeModel : default undef : readable / writable / construct-only / private)
    The model for the TreeModelSort to sort

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.